package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.Goods;
import com.gree.mall.contest.plus.entity.GoodsSpec;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class GoodsSpecBean extends Goods {

    @Schema(description = "商品规格id")
    private String goodsSpecId;

    @Schema(description = "规格值")
    private String specValue;

    @Schema(description = "图片")
    private String specImgUrl;

    @Schema(description = "成本价")
    private BigDecimal costPrice;

    @Schema(description = "销售价")
    private BigDecimal price;

    @Schema(description = "划线价格")
    private BigDecimal orgPrice;

    @Schema(description = "分销金额")
    private BigDecimal shareAmount;

    @Schema(description = "分销比例")
    private Double sharePercent;

    @Schema(description = "内部分销金额")
    private BigDecimal innerShareAmount;

    @Schema(description = "内部分销比列")
    private Double innerSharePercent;

    @Schema(description = "库存")
    private Integer stockNum;

    @Schema(description = "商品类别名称")
    private String categoryName;

    @Schema(description = "条形码")
    private String barCode;

    @Schema(description ="商品规格列表")
    private List<GoodsSpec> goodsSpecs;

}
