package com.gree.mall.contest.bean.member;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.gree.mall.contest.plus.entity.User;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class MemberSortBean {

    @Schema(description = "会员排序对应值 ID=编号 SEX=性别 CREATE=注册时间 STATUS=状态")
    private String sortColumn;
    @Schema(description = "true=升序 false=倒序")
    private boolean type = true ;


    public static void convertColumn(JSONArray array, LambdaQueryWrapper<User> memberLambdaQueryWrapper) {

        for(int i = 0; i < array.size(); i++) {
            MemberSortBean bean = array.getBean(i, MemberSortBean.class);
            switch (bean.getSortColumn()) {
                case "ID" :
                    memberLambdaQueryWrapper.orderBy(true, bean.isType(), User::getUserId);
                    break;
                case "SEX" :
                    memberLambdaQueryWrapper.orderBy(true, bean.isType(), User::getSex);
                    break;
                case "CREATE" :
                    memberLambdaQueryWrapper.orderBy(true, bean.isType(), User::getCreateTime);
                    break;
                case "STATUS" :
                    memberLambdaQueryWrapper.orderBy(true, bean.isType(), User::getStatus);
                    break;
                default :
            }
        }
    }
}
