package com.gree.mall.contest.bean.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderBuyBean {
    @Schema(description = "用户id")
    private String userId;
    @Schema(description = "我的优惠券id")
    private String userCouponId;
    @Schema(description = "收货地址id")
    private String userAddressId;
    @Schema(description = "是否代客下单")
    private Boolean proxyUser = false;
    @Schema(description = "买家留言")
    private String buyerMsg;
    @Schema(description = "兑换码")
    private String exchangeCode;

    @Schema(description = "购物车")
    public List<BuyGood> buyGoods;

    @Schema(description = "申请优惠的订单号")
    private String orderId;
    @Schema(description = "申请优惠价格")
    private BigDecimal applyAmount;
    @Schema(description = "申请优惠备注")
    private String applyRemark;

    @Schema(description = "套购商品id(如果是套购商品必传这个)")
    private String goodsPackageId;

    @Schema(description = "工单派单方式 自卖自装/当地安装")
    private String dispatchType;

    @Schema(description = "wechat pay")
    private Boolean wechatPay = true;

    @Schema(description = "购买人姓名")
    private String buyerName;

    @Schema(description = "购买人身份证")
    private String buyerIdCard;
}
