package com.gree.mall.contest.controller.pc.common;

import com.gree.mall.contest.bean.common.RegionBean;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.common.LbsAmapLogic;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RequiredArgsConstructor
@Slf4j
@RestController
@Tag(name = "高德地图API", description = "高德地图API")
@RequestMapping("/pc/lbs/amap")
public class LbsAmapController {

    private final LbsAmapLogic lbsAmapLogic;


    @PostMapping("region/query")
    @Operation(summary = "根据经纬度反查省市区街道")
    public ResponseHelper<RegionBean> detailRange(
            @Parameter(description = "经度", required = true) @RequestParam String lng,
            @Parameter(description = "纬度", required = true) @RequestParam String lat
    ) {
        RegionBean regionBean = lbsAmapLogic.getRegionByLngLat(lng + "," + lat);
        return ResponseHelper.success(regionBean);
    }


    @PostMapping("region/query2")
    @Operation(summary = "根据中文地址反查经纬度省市区街道")
    public ResponseHelper<RegionBean> queryRegion(@Parameter(description = "中文地址(越详细越好)", required = true) @RequestParam String address) {
        String lnglat = lbsAmapLogic.getLocationByAddress(address);
        RegionBean regionBean = lbsAmapLogic.getRegionByLngLat(lnglat);
        return ResponseHelper.success(regionBean);
    }



}
