package com.gree.mall.contest.controller.pc.notice;


import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.notice.MiniNoticeLogic;
import com.gree.mall.contest.plus.entity.MiniNotice;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Slf4j
@RestController
@Tag(name = "提醒通知接口" ,description = "提醒通知接口")
@RequestMapping(value = "/pc/notice/mini" ,produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class MiniNoticeController {
    
    private final MiniNoticeLogic miniNoticeLogic;

    @PostMapping("/add")
    @Operation(summary = "新增")
    public ResponseHelper add(
            HttpServletRequest request,
            @Parameter(description = "notice",required = true) @RequestBody MiniNotice miniNotice) {
        miniNoticeLogic.add(request,miniNotice);
        return ResponseHelper.success();
    }

    @PostMapping("/update")
    @Operation(summary = "修改")
    public ResponseHelper update(
            @Parameter(description = "notice",required = true) @RequestBody MiniNotice miniNotice) {
        miniNoticeLogic.update(miniNotice);
        return ResponseHelper.success();
    }

    @GetMapping("/select")
    @Operation(summary = "查询")
    public ResponseHelper<List<MiniNotice>> select(HttpServletRequest request){
        List<MiniNotice> list = miniNoticeLogic.select(request);
        return ResponseHelper.success(list);
    }




}
