package com.gree.mall.contest.enums.admin;


import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.Getter;

@Getter
public enum RoleTypeEnum implements BaseEnum {
    A("A","平台"),
    B("B","服务商"),
    C("C","合作商"),
    D("D","服务商子账号"),
    E("E","合作商子账号"),
    F("F","推单员")
    ;

    private String code;
    private String msg;

    RoleTypeEnum(String code, String msg){
        this.code=code;
        this.msg=msg;
    }

    /**
     * 是否为平台
     * @param type
     * @return
     */
    public static Boolean isPlatform(String type){
        return type.equals(RoleTypeEnum.A.getCode());
    }


    /**
     * 是否为服务商
     * @param type
     * @return
     */
    public static Boolean isServiceProvider(String type){
        return type.equals(RoleTypeEnum.B.getCode()) || type.equals(RoleTypeEnum.D.getCode());
    }

    /**
     * 是否为合作商
     * @param type
     * @return
     */
    public static Boolean isMerchant(String type){
        return type.equals(RoleTypeEnum.C.getCode()) || type.equals(RoleTypeEnum.E.getCode());
    }

    /**
     * 是否为推单员
     * @param type
     * @return
     */
    public static Boolean isShop(String type){
        return type.equals(RoleTypeEnum.F.getCode());
    }

    @Override
    public String getKey() {
        return this.code;
    }

    @Override
    public String getRemark() {
        return this.msg;
    }
}
